<?php
	$StrCmd=V($_POST['TxtAc']);
	$StrEmp=V($_POST['CboEmp']);
	/////////////////////////////////////////////////////++++++++
	function IMP_PRODUCTOZ_BITACORA(){
		//BIT
		$_BIT_MOD_ID="0";
		$_BIT_SQL_CAB="SQL";
		$_BIT_SQL_DET="";
		$_BIT_PHP="imp_productos.php";
		$_BIT_ID=BIT_ADD("IMPORTAR DATOS","IMPORTAR DATOS DE PRODUCTOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,"");
		//BIT	
		$cx=0;
		$data = new Spreadsheet_Excel_Reader();
		$data->setOutputEncoding('CP1251');
		$data->read('imp_productos.xls');
		error_reporting(E_ALL ^ E_NOTICE);
		$Fil=$data->sheets[0]['numRows'];
		$Col=$data->sheets[0]['numCols'];	
		for ($i = 2; $i <= $Fil; $i++) {
			$COD=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][1]))); 		
			$LIN=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][2]))); 		
			$DES=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][3])));
			$PCO=vbval(str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][4]))));
			$PVm=vbval(str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][5]))));
			$PVM=vbval(str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][6]))));
			$PRO=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][7])));
			//
			if(strlen($COD)==0) break;
			//
			$LIN=LIN_GET_ID($LIN);	
			$PRO=0;			
			//
			if(strlen($COD)>0){
				$CLI=gn("id_producto","productos","pro_codigo='$COD'");
			}else{
				$CLI=gn("id_producto","productos","pro_des='$DES' AND pro_id_linea=$LIN");
			}
			if($CLI==0){
				$CLI=GenId("id_producto","productos");
				$s="INSERT INTO productos VALUES ".
				   "($CLI,'$COD',$LIN,'$DES',0,0,$PCO,$PVm,$PVM,'',$PRO,0,0,'S',0,0)";
				ejt($s);
				BIT_DET_ADD($_BIT_ID,$s);
			}else{
				$s="UPDATE productos SET ".
				   "pro_codigo='$COD',pro_id_linea=$LIN,".
				   "pro_des='$DES',pro_pc_sol=$PCO,".
				   "pro_pv_min=$PVm,pro_pv_max=$PVM,".
				   "pro_id_proveedor=$PRO WHERE id_producto=$CLI";
				ejt($s);
				BIT_DET_ADD($_BIT_ID,$s);
				//
				$s="UPDATE t_productos 
					SET pro_cod='$COD',pro_des='$DES',pro_pmi=$PVm,pro_pma=$PVM,pro_lin='$LIN' 
					WHERE pro_id=$CLI";
				ejt($s);	
				BIT_DET_ADD($_BIT_ID,$s);						
			}		
		}
	}
	/////////////////////////////////////////////////////
	if($StrCmd=="IMPORTAR"){
		$StrFileN = $_FILES['userfile']['name']; 
		$StrFileT = $_FILES['userfile']['type']; 		
		$StrExt=extension($StrFileN);
		//		
		if (!($StrExt== "xls" || $StrExt=="XLS")){ 
			$LStrMsg="La extension debe ser XLS : $StrExt";
			$LStrFoc="document.getElementById('userfile').focus();";
			$StrGT="S";	
		}else{			
			$StrFileNew="imp_productos.xls";
			if (move_uploaded_file($_FILES['userfile']['tmp_name'], $StrFileNew)){ 	
				//IMP_PRODUCTOZ();		
				IMP_PRODUCTOZ_BITACORA();
				$LStrMsg="El archivo ha sido cargado correctamente ";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";
			}else{ 
				$LStrMsg="Error al subir el archivo";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";		
			} 
		}
		// 
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('userfile').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>